CyberLink Community Forum
where the experts meet
| Advanced Search >
Notification popup ->You are trying to use a feature that requires a web browser...
Reply to this topic
[Post New]
Like the title says I get a notification stating...
You are trying to use a feature that requires a web browser on this system. Install and enable a web browser on your pc and then try again.
Pop up notification is initiated when accessing Free Template Downloads and a couple of others areas within Power Director.
Any fix for this?
My Power Director version is 17.3.2721.0 up to date with the new Chrome Edge Dev. set as default on Win10 May Update.
Thanks for any help!
Reply
optodata
Senior Contributor Private Message Location: California, USA Joined: Sep 16, 2011 16:04 Messages: 5911 Online
[Post New]
Quote Any fix for this?
My Power Director version is 17.3.2721.0 up to date with the new Chrome Edge Dev. set as default on Win10 May Update.
Thanks for any help!

There seem to be some compatibility issues with that new browser. You can try temporarily switching your default browser to IE to see if PD can access the internet, then restore Chromium Edge and see if PD's connectivity keeps working.

You can also download all DZ templates manually, and they'll install when you run them (no need to download them then launch them). They'll install even when PD is running, and this post has some tips to make your browsing experience better.

This message was edited 1 time. Last update was at May 29. 2019 18:31

Reply
jerrys
Senior Contributor Private Message Location: New Britain, CT, USA (between New York and Boston) Joined: Feb 10, 2010 21:36 Messages: 1013 Offline
[Post New]
Quote

There seem to be some compatibility issues with that new browser. You can try temporarily switching your default browser to IE to see if PD can access the internet, then restore Chromium Edge and see if PD's connectivity keeps working.

You can also download all DZ templates manually, and they'll install when you run them (no need to download them then launch them). They'll install even when PD is running, and this post has some tips to make your browsing experience better.


I get the same message trying to get to the manual or help index. I have Edge as my default browser, but also have IE and plain old Chrome installed.

I tried changing the default browser in Windows, but I didn't have time to reboot my system.

This message was edited 1 time. Last update was at Jun 12. 2019 16:07

Reply
[Post New]
Quote

There seem to be some compatibility issues with that new browser. You can try temporarily switching your default browser to IE to see if PD can access the internet, then restore Chromium Edge and see if PD's connectivity keeps working.

You can also download all DZ templates manually, and they'll install when you run them (no need to download them then launch them). They'll install even when PD is running, and this post has some tips to make your browsing experience better.

Ok thanks optodata but no success, will go manually.
Surprising that Cyberlink has not addressed this problem.
Reply
z000mer [Avatar]
Newbie Private Message Joined: Aug 25, 2012 12:37 Messages: 1 Offline
[Post New]
This error is still ocurring in Sept. 2020. Why can't Cyberlink fix this problem? I can't click on any webpage links in the program and have it work.
Reply
optodata
Senior Contributor Private Message Location: California, USA Joined: Sep 16, 2011 16:04 Messages: 5911 Online
[Post New]
I think there a multiple reasons why this issue shows up, like system configuration, folder permissions, AV/firewall settings among others.

You might want to submit a support request directly to CL tech support as they have the proper tools to diagnose the situation.
Reply
Reply to this topic
Powered by JForum 2.1.8 © JForum Team